Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

When I tried installing perl-Net-SNMP, I get the dependency error below :

# yum install perl-Net-SNMP

...

--> Processing Dependency: perl(Digest::HMAC) for package: perl-Net-SNMP-5.2.0-4.el6.noarch
--> Processing Dependency: perl(Digest::SHA1) for package: perl-Net-SNMP-5.2.0-4.el6.noarch
--> Finished Dependency Resolution
Error: Package: perl-Net-SNMP-5.2.0-4.el6.noarch (epel)
           Requires: perl(Digest::HMAC)
Error: Package: perl-Net-SNMP-5.2.0-4.el6.noarch (epel)
           Requires: perl(Digest::SHA1)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
share|improve this question

2 Answers 2

up vote 0 down vote accepted

This shows your yum server do not have all dependencies for perl-Net-SNMP that's why this showing dependency resolution error when you are installing perl-Net-SNMP first you need to install these dependency's manually from another repository after complition of dependency resolution/installtion you need to run this commond yum install perl-Net-SNMP

you can get this dependency's from pkgs.org,rpm.pbone.net and other repositories.

share|improve this answer
    
you can download this rpm from these repositories using wget on terminal than install by rpm -ivh rpmname . –  user128296 Sep 10 '12 at 11:09
    
It's installed perfectly, thank you ! pastebin.com/MrjC8npn –  M. Saâd Sep 10 '12 at 11:26

Install the needed perl packages by running:

cpan -i Digest::HMAC
cpan -i Digest::SHA1

After which run yum install perl-Net-SNMP again

share|improve this answer
    
I still have the same problem : pastebin.com/UVJ2Pyj2 –  M. Saâd Sep 10 '12 at 10:49
    
Try installing perl-Net-SNMP also using cpan like: cpan -i Net::SNMP –  Logic Wreck Sep 10 '12 at 10:53
    
Is it installed now ? pastebin.com/zRVjDnx3 –  M. Saâd Sep 10 '12 at 10:59
    
Yes from what I see. You need also to check with a perl script by including this package there though. –  Logic Wreck Sep 10 '12 at 11:01
    
# perldoc -l Net::SNMP /usr/local/share/perl5/Net/SNMP.pm Thank you ! –  M. Saâd Sep 10 '12 at 11:10

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.